Record.Impl (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.indexdb.Record.Impl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.indexdb
Class Record.Impl

    java.lang.Object
      org.biojava.bio.program.indexdb.Record.Impl

All Implemented Interfaces:
  Record

Enclosing interface:
  Record

    public static class Record.Impl

extends Object
implements Record

`Impl` is the default implementation of Record.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.indexdb.Record
`Record.Impl`

Constructor Summary
`Record.Impl(String id, RAF file, long offset, int length)` Creates a new `Impl` record.

Method Summary
`RAF` | `getFile()` `getFile` returns the random access file in which the record belongs.
`String` | `getID()` `getID` returns the primary identifier of the record.
`int` | `getLength()` `getLength` returns the length of the record in bytes.
`long` | `getOffset()` `getOffset` returns the byte offset in the file at which the record begins.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Record.Impl

    public Record.Impl(String id,
                       RAF file,
                       long offset,
                       int length)

  Creates a new `Impl` record.

  Parameters:
    `id` - a `String` primary ID.
    `file` - a `RAF` file.
    `offset` - a `long` byte offset.
    `length` - an `int` byte record length.

Method Detail

### getID

    public String getID()

  Description copied from interface: `Record`
  `getID` returns the primary identifier of the record.

  Specified by:
    `getID` in interface `Record`
  Returns:
    a `String` ID.

### getFile

    public RAF getFile()

  Description copied from interface: `Record`
  `getFile` returns the random access file in which the record belongs.

  Specified by:
    `getFile` in interface `Record`
  Returns:
    a `RAF`.

### getOffset

    public long getOffset()

  Description copied from interface: `Record`
  `getOffset` returns the byte offset in the file at which the record begins.

  Specified by:
    `getOffset` in interface `Record`
  Returns:
    a `long` offset.

### getLength

    public int getLength()

  Description copied from interface: `Record`
  `getLength` returns the length of the record in bytes.

  Specified by:
    `getLength` in interface `Record`
  Returns:
    an `int`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD